from pydantic_xml import BaseXmlModel, element


class Image(BaseXmlModel):
    imageId: str = element()

    imageState: str = element()

    name: str = element()


class ImagesSet(BaseXmlModel, tag="imagesSet"):
    items: list[Image] = element(tag="item")


class DescribeImagesResponse(
    BaseXmlModel,
    tag="DescribeImagesResponse",
    nsmap={"": "http://ec2.amazonaws.com/doc/2016-11-15/"},
):
    requestId: str = element()

    imagesSet: ImagesSet = element()
