def parse_array_objects(prefix: str, params: dict) -> list[dict[str, str]]:
    items: dict[str, dict[str, str]] = {}
    for key, value in params.items():
        if not key.startswith(prefix):
            continue

        parts = key.split(".")
        if parts[1] not in items:
            items[parts[1]] = {}
        items[parts[1]][".".join(parts[2:])] = value
    return list(items.values())


def parse_array_plain(prefix: str, params: dict[str, str]) -> list[str]:
    items: dict[str, str] = {}
    for key, value in params.items():
        if not key.startswith(prefix):
            continue

        cleaned_key = key.replace(f"{prefix}.", "")
        if not cleaned_key.isnumeric():
            continue

        items[cleaned_key] = value

    indices = sorted(list(items.keys()))
    return [items[key] for key in indices]
